Bug 12085 - ipppd fails on answering calls, not properly ruibuilt
ipppd fails on answering calls, not properly ruibuilt
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2000-06-11 10:50 EDT by Rolf Fokkens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-02 15:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2000-06-11 10:50:40 EDT
The isdn4k-utils-3.1-22.i386.rpm contains a ipppd which contains a bug.
ipppd may claim "ioctl(SIOCADDRT) device route (ippp1/
File exists" on the dialed server which results in "IPCP terminated by peer
(sifaddr failed) on the dialing side. This is not consistent with the ipppd
source-code in isdn4k-utils-3.1-22.

It is consistent however with isdn4k-utils-3.0beta2; in this version
sys-linux.c, in sifaddr assumes an error if ioctl(SIOCADDRT) results in

Rebuilding the SRPM (3.1-22) fails on iprofd which can't find certain
macro's. Skipping iprofd during build results in a correctly operating
ipppd in the RPM. So I guess that isdn4k-utils-3.1-22.i386.RPM was shipped
with an earlier ipppd binary because it wasn't rebuilt.
Comment 1 Ngo Than 2000-08-04 20:07:59 EDT
It was fixed in Beta4.

Note You need to log in before you can comment on or make changes to this bug.